Package ru.bitel.bgbilling.kernel.event.publish.common.bean

# Class MQServer

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.event.publish.common.bean.MQServer

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MQServer extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_TITLE`
  `static final String`
  `KEY_URL`
  `static final String`
  `KEY_USER_NAME`
  `static final String`
  `KEY_USER_PASSWORD`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MQServer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getUrl()`
  `String`
  `getUserName()`
  `String`
  `getUserPassword()`
  `void`
  `setData(String data)`
  `void`
  `setUrl(String url)`
  `void`
  `setUserName(String userName)`
  `void`
  `setUserPassword(String userPassword)`
  `org.json.JSONObject`
  `toJson()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_TITLE

    public static final String KEY_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_URL

    public static final String KEY_URL
    See Also:
      - Constant Field Values

  - ### KEY_USER_NAME

    public static final String KEY_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_USER_PASSWORD

    public static final String KEY_USER_PASSWORD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MQServer

    public MQServer()

- ## Method Details

  - ### getUrl

    public String getUrl()

  - ### setUrl

    public void setUrl(String url)

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getUserPassword

    public String getUserPassword()

  - ### setUserPassword

    public void setUserPassword(String userPassword)

  - ### setData

    public void setData(String data)

  - ### toJson

    public org.json.JSONObject toJson()